| Home | Libraries | People | FAQ | More

#### posix::basic_descriptor::wait_type

Inherited from posix::descriptor_base.

Wait types.

    enum wait_type

###### Values

wait_read

  Wait for a descriptor to become ready to read.

wait_write

  Wait for a descriptor to become ready to write.

wait_error

  Wait for a descriptor to have error conditions pending.

For use with `descriptor::wait()` and `descriptor::async_wait()`.